<?php
	include( 'config.inc.php' );
	include( 'funcs.inc.php' );
	header( 'Content-Type: text/javascript' );

	if( $_POST['switchTo'] )
	{
		global $nst_currFreq, $nst_setV4LPath, $nst_videoDev, $nst_channels;

		$channel = $nst_channels[ $_POST['switchTo'] ];

		$res = shell_exec( "$nst_setV4LPath $nst_videoDev frequency " . $channel[0] );

		showCurrentSettings();
	}

	if( $_POST['setFreq'] )
	{
		global $nst_setV4LPath, $nst_videoDev;

		$res = shell_exec( "$nst_setV4LPath $nst_videoDev frequency " . $_POST['setFreq'] );

		showCurrentSettings();
	}

	if( $_POST['startStopVLC'] )
	{
		global $nst_stopVLCPath, $nst_startVLCPath;

		if( isVLCRunning() )
		{
			// vlc is running
			shell_exec( $nst_stopVLCPath );
			echo "$('arrowr').style.visibility = 'visible'; $('arrowl').style.visibility = 'visible';";
			echo "$('startstopvlc').value = 'start';";

			// also stopping vlcrec
			shell_exec( $nst_stopVLCRecPath );
			echo "$('record-alert-box').style.visibility = 'hidden';";
			echo "$('startstopvlcrec').value = 'start';";
		}
		else
		{
			$res = shell_exec( $nst_startVLCPath );
			if( trim( $res ) != '1' )
			{
				echo "alert(\"Can't start VLC!\");";
			}
			else
			{
				echo "$('arrowr').style.visibility = 'hidden'; $('arrowl').style.visibility = 'hidden';";
				echo "$('startstopvlc').value = 'stop';";
			}
		}

		showCurrentSettings();
	}

	if( $_POST['startStopVLCRec'] )
	{
		global $nst_stopVLCRecPath, $nst_startVLCRecPath, $nst_recordingsPath, $nst_currChannelName;

		if( isVLCRecRunning() )
		{
			shell_exec( $nst_stopVLCRecPath );
			echo "$('record-alert-box').style.visibility = 'hidden';";
			echo "$('startstopvlcrec').value = 'start';";
		}
		else
		{
			if( isVLCRunning() )
			{
				// vlc is running, so we can start recording

				// getting channel name
				showCurrentSettings();
				// generating a filename from the channel name, current date and time
				$fn = $nst_recordingsPath . str_replace( " ", "_", $nst_currChannelName ). "-" . date("ymd-His") . ".asf";

				// checking that the recording dir is writable
				$f = @fopen( $fn, 'w' );
				if( !$f )
				{
					echo "alert(\"Can't write to the recordings dir! ($nst_recordingsPath)\");";
				}
				else
				{
					fclose( $f );
					unlink( $fn );

					$res = shell_exec( "$nst_startVLCRecPath $fn" );
					if( trim( $res ) != '1' )
					{
						echo "alert(\"Can't start recording!\");";
					}
					else
					{
						echo "$('record-alert-box').style.visibility = 'visible';";
						echo "$('startstopvlcrec').value = 'stop';";
					}
				}
			}
			else
			{
				echo 'alert("VLC must be started before recording!");';
			}
		}

		showCurrentSettings();
	}

	if( $_POST['init'] )
	{
		if( isVLCRunning() )
		{
			echo "$('arrowr').style.visibility = 'hidden'; $('arrowl').style.visibility = 'hidden';";
			echo "$('startstopvlc').value = 'stop';";
		}
		else
		{
			echo "$('arrowr').style.visibility = 'visible'; $('arrowl').style.visibility = 'visible';";
			echo "$('startstopvlc').value = 'start';";
		}

		if( isVLCRecRunning() )
		{
			echo "$('record-alert-box').style.visibility = 'visible';";
			echo "$('startstopvlcrec').value = 'stop';";
		}
		else
		{
			echo "$('record-alert-box').style.visibility = 'hidden';";
			echo "$('startstopvlcrec').value = 'start';";
		}

		showCurrentSettings();

		echo 'new Effect.SlideDown( $("control") ); new Effect.SlideDown( $("logo") );';
	}
?>
